hsm_config_t Struct Reference

`#include <libhsm.h>`

## Data Fields

unsigned int | use_pubkey
unsigned int | allow_extract

## Detailed Description

HSM configuration

Definition at line 79 of file libhsm.h.

## Field Documentation

## allow_extract

unsigned int hsm_config_t::allow_extract

Generate CKA_EXTRACTABLE private keys

Definition at line 81 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), and hsm_open2().

## use_pubkey

unsigned int hsm_config_t::use_pubkey

Maintain public keys in HSM

Definition at line 80 of file libhsm.h.

Referenced by hsm_generate_rsa_key(), and hsm_open2().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h